Subject: [ntpwg] Error in rfc1305 regarding leapseconds and control messages

From: "Ulrich Windl" <[email-masked]>
Date: Mon, 15 Jun 2015 09:35:55 +0200

Hi!

I just discovered an error if RFC 1305 regarding leap seconds:  "Figure 5. NTP Control Message Header" has a field named "00" (which corresponds to "LI" for normal NTP packets) that seems to have fixed "00" content. At the moment however the content of theis field is "01", indicating a leap second. So it seems the leap second is announced in control messages also.
Unfortunately I don't have any NTPv3 server left, but ntpd-4.2.4p8 sets the "00" as indicated.

Also regarding the numbering of bits: "00" should be bits 0 and 1, but actually it is bits 6 and 7 (when using the traditionaly numbering of "bit n" being 2^n)...

Is the numbering of bits defined anywhere in that RFC or any reference?

Regards,
Ulrich Windl

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg

---

From: Hal Murray <[email-masked]>
Date: Mon, 15 Jun 2015 16:58:46 -0700

[email-masked] said:
> Also regarding the numbering of bits: "00" should be bits 0 and 1, but
> actually it is bits 6 and 7 (when using the traditionaly numbering of "bit
> n" being 2^n)...

> Is the numbering of bits defined anywhere in that RFC or any reference? 

See RFC 2360, section 3.1  Packet Diagrams

The IETF/RFC convention is that bit 0 is the MSB.

-- 
These are my opinions.  I hate spam.